Subject: Re: [bug#57050] [PATCH 3/6] gnu: chez-scheme: Fix use of "/bin/sh".

From: "(" <[email-masked]>
Date: Tue, 09 Aug 2022 22:38:56 +0100

On Tue Aug 9, 2022 at 10:24 PM BST, Maxime Devos wrote:
> In the glibc headers, there's some (POSIX?) standard macro that points 
> at "/gnu/store/.../bin/sh" (I don't recall the name), any reason we 
> aren't using that macro?  That would be Guix-independent. I'm not sure 
> if a /gnu/store/... prefix is included, but if not, maybe we could try 
> overriding it with -D...="/gnu/store/...", or failing that, add a 
> post-unpack substitute* replacing [the macro name] -> 
> "/gnu/store/.../bin/sh".

I believe you might be referring to <paths.h>, which defines _PATH_BSHELL.

It's not standard C <https://en.cppreference.com/w/c/header> nor POSIX
<https://pubs.opengroup.org/onlinepubs/9699919799/idx/head.html> though.

    -- (